

package gov.va.med.cds.request;


import gov.va.med.cds.clinicaldata.TemplateMetaDataInterface;


public interface RequestValidatorInterface
{
    TemplateMetaDataInterface validateReadTemplateId( String templateId );


    /**
     * validation for a WRITE request
     */
    TemplateMetaDataInterface validateWriteRequest( WriteRequestInterface aWriteRequest );
}
